summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorYu Watanabe <watanabe.yu+github@gmail.com>2018-05-07 18:17:35 +0900
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2018-05-07 11:17:35 +0200
commit348b44372f36010d48d9a7dda14ef67155753a71 (patch)
tree75c0d700de1d901bb6c6377afd878520bc30f634 /tools
parent4b4ee0f781f6eaeb5c0dc8e2f9ea65ff8414356c (diff)
meson: generate m4 preprocessor from config.h (#8914)
Diffstat (limited to 'tools')
-rwxr-xr-xtools/meson-apply-m4.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/tools/meson-apply-m4.sh b/tools/meson-apply-m4.sh
new file mode 100755
index 0000000000..6abe177ac5
--- /dev/null
+++ b/tools/meson-apply-m4.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -eu
+
+CONFIG=$1
+TARGET=$2
+
+if [ $# -ne 2 ]; then
+ echo 'Invalid number of arguments.'
+ exit 1
+fi
+
+if [ ! -f $CONFIG ]; then
+ echo "$CONFIG not found."
+ exit 2
+fi
+
+if [ ! -f $TARGET ]; then
+ echo "$TARGET not found."
+ exit 3
+fi
+
+DEFINES=$(awk '$1 == "#define" && $3 == "1" { printf "-D%s ", $2 }' $CONFIG)
+
+m4 -P $DEFINES $TARGET